Package tigase.server.xmppserver.proc

## Class AuthenticatorSelectorManager

- java.lang.Object
- - tigase.server.xmppserver.proc.AuthenticatorSelectorManager

- All Implemented Interfaces:
    `StatisticsProviderIfc`

      @Bean(name="authenticator-selector-manager",
            parent=S2SConnectionManager.class,
            active=true)
      public class AuthenticatorSelectorManager
      extends java.lang.Object
      implements StatisticsProviderIfc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<AuthenticationProcessor>` | `authenticationProcessors` |
    `static java.lang.String` | `S2S_METHOD_USED` |
    `static java.lang.String` | `S2S_METHODS_ADVERTISED` |
    `static java.lang.String` | `S2S_METHODS_AVAILABLE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticatorSelectorManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `authenticateConnection​(java.lang.String sessionId, CIDConnections cid_conns, CID cidPacket)` |
    `void` | `authenticateConnection​(S2SIOService serv, CIDConnections cid_conns, CID cidPacket)` |
    `void` | `authenticationFailed​(Packet packet, S2SIOService serv, AuthenticationProcessor processor, java.util.Queue<Packet> results)` |
    `void` | `getStatistics​(java.lang.String compName, StatisticsList list)` |
    `boolean` | `isAllowed​(Packet p, S2SIOService serv, AuthenticationProcessor processor, java.util.Queue<Packet> results)` | Method determines if given authenticator is allowed to proceed: takes into consideration authenticators priority, currently used authenticator as well as received stream futures
    `void` | `markConnectionAsFailed​(java.lang.String prefix, S2SIOService serv)` |
    `void` | `setAuthenticationProcessors​(java.util.List<AuthenticationProcessor> authenticationProcessors)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### S2S_METHOD_USED

          public static final java.lang.String S2S_METHOD_USED

      See Also:
        Constant Field Values

    - #### S2S_METHODS_ADVERTISED

          public static final java.lang.String S2S_METHODS_ADVERTISED

      See Also:
        Constant Field Values

    - #### S2S_METHODS_AVAILABLE

          public static final java.lang.String S2S_METHODS_AVAILABLE

      See Also:
        Constant Field Values

    - #### authenticationProcessors

          @Inject
          public java.util.List<AuthenticationProcessor> authenticationProcessors

  - ### Constructor Detail

    - #### AuthenticatorSelectorManager

          public AuthenticatorSelectorManager()

  - ### Method Detail

    - #### isAllowed

          public boolean isAllowed​(Packet p,
                                   S2SIOService serv,
                                   AuthenticationProcessor processor,
                                   java.util.Queue<Packet> results)

      Method determines if given authenticator is allowed to proceed: takes into consideration authenticators priority, currently used authenticator as well as received stream futures

    - #### authenticateConnection

          public void authenticateConnection​(java.lang.String sessionId,
                                             CIDConnections cid_conns,
                                             CID cidPacket)

    - #### authenticateConnection

          public void authenticateConnection​(S2SIOService serv,
                                             CIDConnections cid_conns,
                                             CID cidPacket)

    - #### getStatistics

          public void getStatistics​(java.lang.String compName,
                                    StatisticsList list)

      Specified by:
        `getStatistics` in interface `StatisticsProviderIfc`

    - #### authenticationFailed

          public void authenticationFailed​(Packet packet,
                                           S2SIOService serv,
                                           AuthenticationProcessor processor,
                                           java.util.Queue<Packet> results)

    - #### markConnectionAsFailed

          public void markConnectionAsFailed​(java.lang.String prefix,
                                             S2SIOService serv)

    - #### setAuthenticationProcessors

          public void setAuthenticationProcessors​(java.util.List<AuthenticationProcessor> authenticationProcessors)